Redmine - Defect #37694

CommonMark Markdown task list item markers are not exported to PDF
2022-09-20 12:30 - pasquale [:dedalus]

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 5.0.6

Resolution: Fixed Affected version: 5.0.1
Description

When the text formatting is set to CommonMark Markdown (github flavored), the export in pdf not honor this setting. For example a
task list isn't exported as is but as simple numbered\bulleted list.

Associated revisions

Revision 22317 - 2023-09-21 16:17 - Go MAEDA

CommonMark Markdown task list item markers are not exported to PDF (#37694).

Contributed by Jun NAITOH.

Revision 22318 - 2023-09-21 16:23 - Go MAEDA
Merged r22317 from trunk to 5.0-stable (#37694).

History

#1 - 2022-10-02 14:05 - Marius BALTEANU

- Target version set to 5.0.3

#2 - 2022-10-02 14:06 - Marius BALTEANU
- Target version changed from 5.0.3 to 5.0.4

#3 - 2022-10-10 19:43 - Marius BALTEANU

One way to fix this is to add some custom CSS styles to render the task items as checkboxes. Any other ideas?

#4 - 2022-11-29 00:05 - Marius BALTEANU
- Target version changed from 5.0.4 to 5.0.5

#5 - 2023-02-16 14:37 - Roland Lammel

Seems also related to #38215 (formatting of nested tasklist)

Adjusting CSS for PDF export seems like a good approach here.

#6 - 2023-03-03 03:28 - Go MAEDA
- Target version changed from 5.0.5 to 5.0.6

#7 - 2023-07-15 14:58 - Jun NAITOH

- File common_mark_acrobat.png added

- File common_mark_chrome.png added

- File common_mark_firefox.png added

- File common_mark_mac_preview.png added

- File common_mark_redmine.png added

| have added support for GitHub flavored Markdown task list items (extension) in rbpdf 1.21.3.

See: hitps://github.com/naitoh/rbpdf/pull/84
https://www.redmine.org/issues/38215
https://github.com/naitoh/rbpdf/pull/84

Redmine

common_mark_redmine.png

PDF Output

Chrome 114

common_mark_chrome.png

Acrobat Reader 2023.003.20244

common_mark_acrobat.png

Firefox 115

common_mark_firefox.png
e Problem : If unchecked, not displayed.

macOS 13.4 preview

common_mark_mac_preview.png

e Problem : CheckBox can be turned on or off.

#8 - 2023-09-20 06:38 - Go MAEDA
- Target version changed from 5.0.6 to 5.0.7

#9 - 2023-09-21 16:13 - Go MAEDA

- Subject changed from Export in pdf not honor the CommonMark Markdown (github flavored) text formatting to CommonMark Markdown task list item

markers are not exported to PDF

- Target version changed from 5.0.7 to 5.0.6

#10 - 2023-09-21 16:27 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Jun NAITOH wrote in #note-7:

| have added support for GitHub flavored Markdown task list items (extension) in rbpdf 1.21.3.

See: hitps://github.com/naitoh/rbpdf/pull/84

Thank you, the problem that task list item markers are not properly exported to PDF was fixed by updating rbpdf to 1.21.3. | have committed r22318 to

ensure that rbpdf 1.21.3 or later is used.
